package cn.reghao.tnb.content.app.data.model.vo;

import lombok.Getter;

import java.util.List;

/**
 * @author reghao
 * @date 2023-10-25 23:09:18
 */
@Getter
public class ImageAlbumQuery {
    private List<Integer> scope;
    private Long userId;
    private Long albumId;

    private ImageAlbumQuery(Builder builder) {
        this.scope = builder.scope;
        this.userId = builder.userId;
        this.albumId = builder.albumId;
    }

    public static final class Builder {
        private List<Integer> scope;
        private Long userId;
        private Long albumId;

        public Builder scope(List<Integer> scope) {
            this.scope = scope;
            return this;
        }

        public Builder userId(long userId) {
            this.userId = userId;
            return this;
        }

        public Builder albumId(long albumId) {
            this.albumId = albumId;
            return this;
        }

        public ImageAlbumQuery build() {
            return new ImageAlbumQuery(this);
        }
    }
}
